This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000650CEGUICore library (CEGUIBase)public2011-12-20 07:202012-02-29 09:21
Assigned ToCrazyEddie 
PlatformOSOS Version
Product VersionMercurial: default branch 
Target Version0.8.0Fixed in Version0.8.0 
Summary0000650: Mouse wheel "scrolls" tab buttons in the opposite direction
DescriptionAs it is, moving the mouse wheel down scrolls the tab buttons to the right.. meaning the leftmost tabs become visible.

If there is a "right" behavior, it's the opposite (see Firefox for example).
TagsNo tags attached.
Attached Filespatch file icon issue-650.patch [^] (428 bytes) 2011-12-20 22:16 [Show Content]

- Relationships

-  Notes
pav (reporter)
2011-12-20 07:23
edited on: 2011-12-20 22:16

Edit: In patch format, as requested.

CrazyEddie (administrator)
2012-02-29 09:21

Thanks a lot for the patch!

changeset: 3171:3b3365a148e0
user: Paul Turner <paul@cegui.org.uk>
date: Wed Feb 29 09:20:39 2012 +0000
summary: Fix: Apply patch from pav that fixes the scroll direction of tab buttons when using the mouse wheel.

- Issue History
Date Modified Username Field Change
2011-12-20 07:20 pav New Issue
2011-12-20 07:23 pav Note Added: 0000719
2011-12-20 22:16 pav File Added: issue-650.patch
2011-12-20 22:16 pav Note Edited: 0000719 View Revisions
2012-02-10 09:31 CrazyEddie Target Version 0.8.3 => 0.8.0
2012-02-29 08:38 CrazyEddie Assigned To => CrazyEddie
2012-02-29 08:38 CrazyEddie Status new => assigned
2012-02-29 09:21 CrazyEddie Note Added: 0000929
2012-02-29 09:21 CrazyEddie Status assigned => resolved
2012-02-29 09:21 CrazyEddie Fixed in Version 0.8.3 => 0.8.0
2012-02-29 09:21 CrazyEddie Resolution open => fixed
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads

Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker